## glusterfs 3.7.3

=== contrib/umountd/Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# contrib/umountd/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




pkgdatadir = $(datadir)/glusterfs
pkgincludedir = $(includedir)/glusterfs
pkglibdir = $(libdir)/glusterfs
pkglibexecdir = $(libexecdir)/glusterfs
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
sbin_PROGRAMS = umountd$(EXEEXT)
subdir = contrib/umountd
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/contrib/aclocal/mkdirp.m4 \
	$(top_srcdir)/contrib/aclocal/python.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am__installdirs = "$(DESTDIR)$(sbindir)"
PROGRAMS = $(sbin_PROGRAMS)
am_umountd_OBJECTS = umountd-umountd.$(OBJEXT)
umountd_OBJECTS = $(am_umountd_OBJECTS)
am__DEPENDENCIES_1 =
umountd_DEPENDENCIES =  \
	$(top_builddir)/libglusterfs/src/libglusterfs.la \
	$(am__DEPENDENCIES_1)
AM_V_lt = $(am__v_lt_$(V))
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
am__v_lt_0 = --silent
umountd_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(umountd_CFLAGS) \
	$(CFLAGS) $(umountd_LDFLAGS) $(LDFLAGS) -o $@
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_$(V))
am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
am__v_CC_0 = @echo "  CC    " $@;
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
CCLD = $(CC)
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_$(V))
am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
am__v_CCLD_0 = @echo "  CCLD  " $@;
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN   " $@;
SOURCES = $(umountd_SOURCES)
DIST_SOURCES = $(umountd_SOURCES)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /var/lib/jenkins/work/releases/3.7.3/glusterfs.git/missing --run aclocal-1.11
ACL_LIBS = -lacl
AMTAR = ${SHELL} /var/lib/jenkins/work/releases/3.7.3/glusterfs.git/missing --run tar
AM_DEFAULT_VERBOSITY = 0
AM_LIBTOOLFLAGS = --quiet
AM_MAKEFLAGS =  --no-print-directory --quiet
AR = ar
ARGP_STANDALONE_CPPFLAGS = 
ARGP_STANDALONE_DIR = 
ARGP_STANDALONE_LDADD = 
AUTOCONF = ${SHELL} /var/lib/jenkins/work/releases/3.7.3/glusterfs.git/missing --run autoconf
AUTOHEADER = ${SHELL} /var/lib/jenkins/work/releases/3.7.3/glusterfs.git/missing --run autoheader
AUTOMAKE = ${SHELL} /var/lib/jenkins/work/releases/3.7.3/glusterfs.git/missing --run automake-1.11
AWK = gawk
BUILD_PYTHON_INC = /usr/include/python2.6
BUILD_PYTHON_LIB = python2.6
BUILD_PYTHON_SITE_PACKAGES = /usr/lib/python2.6/site-packages
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -g -O2 -Wformat -Werror=format-security -Werror=implicit-function-declaration
CONTRIBDIR = $(top_srcdir)/contrib
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DSYMUTIL = 
DTRACE = yes
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
FGREP = /bin/grep -F
FUSERMOUNT_SUBDIR = contrib/fuse-util
FUSE_CLIENT_SUBDIR = fuse
GEOREP_EXTRAS_SUBDIR = geo-rep
GFAPI_EXTRA_LDFLAGS = -Wl,--version-script=$(top_srcdir)/api/src/gfapi.map
GFAPI_LIBS = -lacl
GFAPI_LT_VERSION = 0:0:0
GFAPI_VERSION = 7.3.7.3
GF_CFLAGS =  -g -O2 -g -O2 -Wformat -Werror=format-security -g -O2 -g -O2 -Wformat -Werror=format-security -Werror=implicit-function-declaration
GF_CPPFLAGS =  -I$(CONTRIBDIR)/uuid  -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -D$(GF_HOST_OS) -I$(top_srcdir)/libglusterfs/src
GF_DISTRIBUTION = Redhat
GF_FUSE_CFLAGS = -DFUSERMOUNT_DIR=\"$(bindir)\"
GF_FUSE_LDADD = 
GF_HOST_OS = GF_LINUX_HOST_OS
GF_LDADD =  -lm
GF_LDFLAGS = -rdynamic
GLIB_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include  
GLIB_LIBS = -lglib-2.0  
GLUPY_SUBDIR = glupy
GLUPY_SUBDIR_MAKEFILE = xlators/features/glupy/Makefile
GLUPY_SUBDIR_SRC_MAKEFILE = xlators/features/glupy/src/Makefile
GLUSTERD_VOLFILE = /usr/local/etc/glusterfs/glusterd.vol
GLUSTERD_WORKDIR = /var/lib/glusterd
GLUSTERFSD_MISCDIR = /usr/local/var/lib/misc/glusterfsd
GLUSTERFS_LIBEXECDIR = /usr/local/libexec/glusterfs
GREP = /bin/grep
HAVE_BACKTRACE = 
HAVE_LINKAT = 
HAVE_MALLOC_STATS = 
HAVE_SPINLOCK = 
HAVE_STRNLEN = 
IBVERBS_SUBDIR = ib-verbs
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LEX = flex
LEXLIB = 
LEX_OUTPUT_ROOT = lex.yy
LIBAIO = -laio
LIBGFCHANGELOG_LT_VERSION = 0:1:0
LIBGFCHANGELOG_VERSION = 0.0.1
LIBGFDB_VERSION = 0.0.1
LIBGFRPC_LT_VERSION = 0:1:0
LIBGFXDR_LT_VERSION = 0:1:0
LIBGLUSTERFS_LT_VERSION = 0:1:0
LIBOBJS = 
LIBS = -lrt -lpthread -lcrypto 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /var/lib/jenkins/work/releases/3.7.3/glusterfs.git/missing --run makeinfo
MATH_LIB = -lm
MKDIR_P = /bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OCF_SUBDIR = ocf
OTOOL = 
OTOOL64 = 
PACKAGE = glusterfs
PACKAGE_BUGREPORT = gluster-users@gluster.org
PACKAGE_NAME = glusterfs
PACKAGE_RELEASE = 0
PACKAGE_STRING = glusterfs 3.7.3
PACKAGE_TARNAME = glusterfs
PACKAGE_VERSION = 3.7.3
PATH_SEPARATOR = :
PKGCONFIG_UUID = 
PKG_CONFIG = /usr/bin/pkg-config
PYTHON = /usr/bin/python
PYTHONDEV_CFLAGS = -I/usr/include/python2.6 -I/usr/include/python2.6 -fno-strict-aliasing -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic -D_GNU_SOURCE -fPIC -fwrapv -DNDEBUG -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic -D_GNU_SOURCE -fPIC -fwrapv
PYTHONDEV_CPPFLAGS = -I/usr/include/python2.6 -I/usr/include/python2.6 -fno-strict-aliasing -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic -D_GNU_SOURCE -fPIC -fwrapv -DNDEBUG -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic -D_GNU_SOURCE -fPIC -fwrapv
PYTHONDEV_LDFLAGS =  -L/usr/lib -L/usr/${exec_prefix}/lib -lpthread -ldl -lutil -lm -lpython2.6
PYTHON_CFLAGS = 
PYTHON_EXEC_PREFIX = ${exec_prefix}
PYTHON_LIBS = 
PYTHON_PLATFORM = linux2
PYTHON_PREFIX = ${prefix}
PYTHON_VERSION = 2.6
RANLIB = ranlib
RDMA_SUBDIR = rdma
RLLIBS = -lreadline -lncurses
RPCGEN = yes
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/sh
SIZEOF_INT = 4
SIZEOF_LONG = 8
SIZEOF_LONG_LONG = 8
SIZEOF_SHORT = 2
SQLITE_CFLAGS =  
SQLITE_LIBS = -lsqlite3  
STRIP = strip
SYNCDAEMON_COMPILE = 1
SYNCDAEMON_SUBDIR = geo-replication
UMOUNTD_SUBDIR = 
UNITTEST_CFLAGS =   -DUNIT_TESTING=1 -g -DDEBUG -O0 --coverage
UNITTEST_LDFLAGS =  
UNITTEST_LIBS = 
URCU_CDS_CFLAGS =  
URCU_CDS_LIBS = -lurcu-cds  
URCU_CFLAGS =  
URCU_LIBS = -lurcu-bp  
USE_POSIX_ACLS = 1
UUID_CFLAGS = -I$(CONTRIBDIR)/uuid
UUID_LIBS = 
VERSION = 3.7.3
XML2_CONFIG = /usr/bin/xml2-config
XML_CPPFLAGS = -I/usr/include/libxml2
XML_LIBS = -lxml2 -lz -lm
YACC = bison -y
YFLAGS = 
ZLIB_CFLAGS =  
ZLIB_LIBS = -lz
abs_builddir = /var/lib/jenkins/work/releases/3.7.3/glusterfs.git/contrib/umountd
abs_srcdir = /var/lib/jenkins/work/releases/3.7.3/glusterfs.git/contrib/umountd
abs_top_builddir = /var/lib/jenkins/work/releases/3.7.3/glusterfs.git
abs_top_srcdir = /var/lib/jenkins/work/releases/3.7.3/glusterfs.git
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = tar --format=posix -chf - "$$tardir"
am__untar = tar -xf -
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
initdir = /etc/init.d
install_sh = ${SHELL} /var/lib/jenkins/work/releases/3.7.3/glusterfs.git/install-sh
launchddir = /Library/LaunchDaemons
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = /var
lt_ECHO = echo
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
mountutildir = /sbin
oldincludedir = /usr/include
pdfdir = ${docdir}
pkgconfigdir = ${libdir}/pkgconfig
pkgpyexecdir = ${pyexecdir}/glusterfs
pkgpythondir = ${pythondir}/glusterfs
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
pyexecdir = ${exec_prefix}/lib64/python2.6/site-packages
pythondir = ${prefix}/lib/python2.6/site-packages
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
shrext_cmds = .so
srcdir = .
subdirs = 
sysconfdir = ${prefix}/etc
systemddir = /usr/lib/systemd/system
target_alias = 
tmpfilesdir = 
top_build_prefix = ../../
top_builddir = ../..
top_srcdir = ../..
umountd_SOURCES = umountd.c
umountd_CFLAGS = $(GF_CFLAGS) -DDATADIR=\"$(localstatedir)\"
umountd_LDADD = $(top_builddir)/libglusterfs/src/libglusterfs.la ${GF_LDADD}
umountd_LDFLAGS = $(GF_LDFLAGS)
AM_CPPFLAGS = $(GF_CPPFLAGS) -I$(top_srcdir)/libglusterfs/src 
AM_CFLAGS = -Wall $(GF_CFLAGS)
CLEANFILES = 
all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign contrib/umountd/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign contrib/umountd/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)

## glusterfs 3.0.2

=== debian/changelog ===
glusterfs (3.0.2-1ubuntu0.1) lucid-proposed; urgency=high

  * 1-fix-data-corruption-bug.patch: Backport typo bugfix patch. LP: #666494

 -- Ken Stailey <kstailey@yahoo.com>  Tue, 26 Oct 2010 23:46:06 +0200

glusterfs (3.0.2-1) unstable; urgency=low

  * New upstream release.
  * Uploading to unstable.
  * Bump Standards-Version to 3.8.4 (no changes needed).

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 09 Feb 2010 18:53:10 +0100

glusterfs (3.0.0-1) experimental; urgency=low

  * New upstream release.
    Closes: #564649
    - Strip io-stats.so.0.0.0.
    - Drop patch 01-compile-with-db4.8.diff, it is not necessary anymore.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 14 Jan 2010 22:01:23 +0100

glusterfs (2.0.9-3) unstable; urgency=high

  * Set /var/log/glusterfs/glusterfsd.vol.log as logfile in the init script.
    Closes: #561774
  * Change debian/watch, so that it monitors the 3.0 releases now.
  * Bumping urgency to high, because of the fixed RC bugs in the 2.0.9-1 and
    2.0.9-2 release.
  * Add manpage for glusterfs-volgen.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 13 Jan 2010 18:47:19 +0100

glusterfs (2.0.9-2) unstable; urgency=high

  * Create the logdir in postinst and remove it on purge.
    Closes: #544433

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 12 Jan 2010 18:01:41 +0100

glusterfs (2.0.9-1) unstable; urgency=high

  [ Matthias Albert ]
  * New upstream release.
    Closes: #544434
  * Added CreateBooster.py, CreateVolfile.py, glusterfs.vol and glusterfs
    directory to the glusterfs-client package.
  * Added python dependency for glusterfs-client.
  * Added patch for berkely DB 4.8.
    Closes: #549886, #549854
  * Fixed introduced dependency problems
    Closes: #537832
  * debian/glusterfs-server.install:
    - Removed glusterfsd entry.
  * debian/glusterfs-server.links:
    - Added links file.
  * debian/rules:
    - Added mv entry so that glusterfs is the binary package.
  * debian/glusterfs-client.install:
    - Added glusterfs-volgen.
  * debian/glusterfs-server.init:
    - Replaced --exec with --name in stop and status section.
      Closes: #538877
  * debian/control:
    - Build depends on fuse-utils (>= 2.7.4).
    - Bump Standards-Version to 3.8.3.
  * Patched glusterfs-volgen script to accept --sysconfdir from configure run.
  * debian/glusterfs-server.init: provides glusterfs-server.

  [ Patrick Matthäi ]
  * Remove useless whitespaces at EOL.
  * Add myself as maintainer with the acknowledge of LI Daobing.
  * Remove all uploaders, except of Matthias Albert.
  * Remove VCS fields, the packaging is not located on git.debian.org, anymore.
  * Convert package to the 3.0 (quilt) format.
  * Add missing $remote_fs dependencies for the glusterfs-server.init.
  * Fix lintian warning init.d-script-has-bad-lsb-line.
  * Fix lintian warning copyright-with-old-dh-make-debian-copyright.
  * Fix lintian warning copyright-refers-to-symlink-license.
  * Fix lintian warning duplicate-short-description.
  * Add build dependency on python-central.
  * Build against libdb4.8.
  * Add some missing ${shlibs:Depends}.
  * Remove hardcoded dependency on libc-dev at the libglusterfs-dev package.
  * Wrap dependency lines in debian/control.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 12 Jan 2010 17:30:41 +0100

glusterfs (2.0.4-2) unstable; urgency=low

  * Fix "circular dependency with glusterfs-server" (Closes: #537787)
    - debian/control: glusterfs-server no longer depends on glusterfs-client.

 -- LI Daobing <lidaobing@debian.org>  Tue, 21 Jul 2009 19:37:49 +0800

glusterfs (2.0.4-1) unstable; urgency=low

  * new upstream release.
  * Fix "/usr/sbin/glusterfs is a symlink to glusterfsd which is in
    glusterfs-server", change depends in debian/control (Closes: #535262)
  * mount.glusterfs should be a bash script:
    - debian/control: build depends on dpatch
    - debian/rules: add dpatch.mk
    - debian/patches/00list: added
    - debian/patches/01_bashism.dpatch: added.

 -- LI Daobing <lidaobing@debian.org>  Sun, 19 Jul 2009 11:02:01 +0800

glusterfs (2.0.2-1) unstable; urgency=low

  * new upstream release.
  * debian/control:
    - bump standards version to 3.8.2

 -- LI Daobing <lidaobing@debian.org>  Sat, 27 Jun 2009 01:37:03 +0800

glusterfs (2.0.1-1) unstable; urgency=low

  [ Matthias Albert ]
  * new upstream relase, closes: #529334, #525476

  [ LI Daobing ]
  * debian/watch: updated.
  * debian/control:
    - update my email address.
    - bump standards version to 3.8.1
    - update Vcs-* field, change from svn to git.
    - depends: add ${misc:Depends}
    - change glusterfs-dbg's section to debug.
    - depends of glusterfs-server: add ${shlibs:Depends}
    - build depends on debhelper >= 7
  * debian/libglusterfs0.install:
    - install libglusterfsclient.so.*
  * debian/libglusterfs-dev.install:
    - install libglusterfsclient.so.*
  * debian/compat: change to 7.
  * debian/rules: call dh clean.
  * debian/clean: added.

 -- LI Daobing <lidaobing@debian.org>  Tue, 26 May 2009 20:55:31 +0800

glusterfs (1.3.12-1) unstable; urgency=low

  * new upstream release, closes: #495312
  * include upstream changelog extracted from tla

 -- Matthias Albert <matthias@linux4experts.de>  Fri, 12 Sep 2008 17:32:47 +0200

glusterfs (1.3.10-1) unstable; urgency=low

  * first upload to Debian archive, thanks to the hard work of Leonardo
    Rodrigues de Mello, Matthias Albert, Li Daobing and Neil Wilson,
    closes: #419924
  * extend init script with status function, remove boilerplate
    do_reload function and fix whitespace typo
  * remove mount patch which is included in upstream sources
  * include copyright text in debian/copyright, include author list,
    include more specific homepage
  * switch from Ubuntu universe back to standard Debian sections

 -- Christian Meder <chris@absolutegiganten.org>  Wed, 23 Jul 2008 08:01:21 +0200

glusterfs (1.3.10-0ubunut1) intrepid; urgency=low

  * New Upstream Version



=== debian/control ===
Source: glusterfs
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Uploaders: Matthias Albert <matthias@linux4experts.de>,
Build-Depends: cdbs, debhelper (>= 7), autotools-dev, bison, flex,
 libfuse-dev (>= 2.6.5), libibverbs-dev (>= 1.0.4), help2man, python-central,
 libdb-dev, attr
Standards-Version: 3.8.4
Homepage: http://www.gluster.org/docs/index.php/GlusterFS

Package: glusterfs-client
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, python, fuse-utils (>= 2.7.4)
Suggests: glusterfs-examples
Description: clustered file-system (client package)
 GlusterFS is a clustered file-system capable of scaling to several
 peta-bytes. It aggregates various storage bricks over Infiniband RDMA
 or TCP/IP interconnect into one large parallel network file
 system. GlusterFS is one of the most sophisticated file system in
 terms of features and extensibility. It borrows a powerful concept
 called Translators from GNU Hurd kernel. Much of the code in GlusterFS
 is in userspace and easily manageable.
 .
 This package provides the FUSE based GlusterFS tool.

Package: glusterfs-server
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, lsb-base (>= 3.0-6),
 glusterfs-client (=${binary:Version})
Suggests: glusterfs-examples
Description: clustered file-system (server package)
 GlusterFS is a clustered file-system capable of scaling to several
 peta-bytes. It aggregates various storage bricks over Infiniband RDMA
 or TCP/IP interconnect into one large parallel network file
 system. GlusterFS is one of the most sophisticated file system in
 terms of features and extensibility. It borrows a powerful concept
 called Translators from GNU Hurd kernel. Much of the code in GlusterFS
 is in userspace and easily manageable.
 .
 This package installs init scripts and configuration files to turn
 GlusterFS into a fully fledged file server.

Package: glusterfs-examples
Architecture: all
Depends: ${misc:Depends}
Description: example files for the glusterfs server and client
 GlusterFS is a clustered file-system capable of scaling to several
 peta-bytes. It aggregates various storage bricks over Infiniband RDMA
 or TCP/IP interconnect into one large parallel network file
 system. GlusterFS is one of the most sophisticated file system in
 terms of features and extensibility. It borrows a powerful concept
 called Translators from GNU Hurd kernel. Much of the code in GlusterFS
 is in userspace and easily manageable.
 .
 This package provides example configuration files for glusterfs.

Package: libglusterfs0
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: GlusterFS libraries and translator modules
 GlusterFS is a clustered file-system capable of scaling to several
 petabytes. It aggregates various storage bricks over Infiniband RDMA
 or TCP/IP interconnect into one large parallel network file
 system. GlusterFS is one of the most sophisticated file system in
 terms of features and extensibility. It borrows a powerful concept
 called Translators from GNU Hurd kernel. Much of the code in GlusterFS
 is in userspace and easily manageable.
 .
 This package includes libglusterfs and glusterfs translator modules
 common to both GlusterFS server and client framework.

Package: libglusterfs-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libglusterfs0 (= ${binary:Version})
Description: GlusterFS development libraries and headers (development files)
 GlusterFS is a clustered file-system capable of scaling to several
 peta-bytes. It aggregates various storage bricks over Infiniband RDMA
 or TCP/IP interconnect into one large parallel network file
 system. GlusterFS is one of the most sophisticated file system in
 terms of features and extensibility.  It borrows a powerful concept
 called Translators from GNU Hurd kernel. Much of the code in GlusterFS
 is in userspace and easily manageable.
 .
 This package includes glusterfs development headers and libraries.

Package: glusterfs-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 glusterfs-client (= ${binary:Version})
Description: GlusterFS debugging symbols
 GlusterFS is a clustered file-system capable of scaling to several
 peta-bytes. It aggregates various storage bricks over Infiniband RDMA
 or TCP/IP interconnect into one large parallel network file
 system. GlusterFS is one of the most sophisticated file system in
 terms of features and extensibility.  It borrows a powerful concept
 called Translators from GNU Hurd kernel. Much of the code in GlusterFS
 is in userspace and easily manageable.
 .
 This package includes the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk

DEB_PYTHON_SYSTEM=pycentral

install/glusterfs-server::
	mv debian/tmp/etc/glusterfs/glusterfs.vol.sample \
	   debian/tmp/etc/glusterfs/glusterfs.vol
	mv debian/tmp/etc/glusterfs/glusterfsd.vol.sample \
	   debian/tmp/etc/glusterfs/glusterfsd.vol
	ln -s glusterfs.8 debian/tmp/usr/share/man/man8/glusterfsd.8
	mv debian/tmp/usr/sbin/glusterfsd \
	   debian/tmp/usr/sbin/glusterfs

install/libglusterfs0::
	for f in debian/tmp/usr/lib/glusterfs/*/xlator/debug/trace.so; do \
		debug_path=`echo "$$f" | sed -e 's|debian/tmp|debian/glusterfs-dbg/usr/lib/debug|'`; \
		install -d "`dirname $$debug_path`"; \
		objcopy --only-keep-debug "$$f" "$$debug_path"; \
	done
	install -D -m 644 extras/glusterfs.vim debian/tmp/usr/share/vim/vim72/glusterfs.vim
	install -D -m 644 extras/glusterfs-mode.el debian/tmp/usr/share/emacs/site-lisp/glusterfs-mode.el
	strip --remove-section=.comment --remove-section=.note --strip-unneeded \
		debian/tmp/usr/lib/glusterfs/*/xlator/debug/trace.so
	strip --remove-section=.comment --remove-section=.note --strip-unneeded \
		debian/tmp/usr/lib/glusterfs/*/xlator/debug/error-gen.so.0.0.0
	strip --remove-section=.comment debian/tmp/usr/lib/glusterfs/*/xlator/debug/io-stats.so.0.0.0

clean::
	dh $@
	rm -rf glusterfs*.8

get-orig-source::
	uscan --force-download --verbose

=== debian/watch ===
version=3
http://ftp.gluster.com/pub/gluster/glusterfs/3.0/LATEST/glusterfs-(.*)\.tar\.gz

## glusterfs 3.0.4

=== debian/changelog ===
glusterfs (3.0.4-1) unstable; urgency=low

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 15 Apr 2010 20:23:01 +0200

glusterfs (3.0.3-1) unstable; urgency=low

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 16 Mar 2010 19:06:47 +0100

## glusterfs 3.0.5

=== debian/changelog ===
glusterfs (3.0.5-1) unstable; urgency=low

  * New upstream release.
  * Merge 3.0.4-1~bpo50+1 changelog.
  * Bump Standards-Version to 3.9.0 (no changes needed).

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 13 Jul 2010 18:40:26 +0200

glusterfs (3.0.4-1~bpo50+1) lenny-backports; urgency=low

  * Rebuild for lenny-backports.
  * Switch back to the 1.0 format.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 11 May 2010 13:15:13 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: glusterfs
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Patrick Matthäi <pmatthaei@debian.org>
+Maintainer: Patrick Matthäi <pmatthaei@debian.org>
 Uploaders: Matthias Albert <matthias@linux4experts.de>,
 Build-Depends: cdbs, debhelper (>= 7), autotools-dev, bison, flex,
  libfuse-dev (>= 2.6.5), libibverbs-dev (>= 1.0.4), help2man, python-central,
  libdb-dev, attr
-Standards-Version: 3.8.4
+Standards-Version: 3.9.0
 Homepage: http://www.gluster.org/docs/index.php/GlusterFS
 
 Package: glusterfs-client

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,6 @@
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
-include /usr/share/cdbs/1/rules/simple-patchsys.mk
 
 DEB_PYTHON_SYSTEM=pycentral

## glusterfs 3.1.3

=== debian/changelog ===
glusterfs (3.1.3-1) unstable; urgency=low

  * New upstream release.
    - glusterfs-volgen and glusterfs-defrag have been removed.
  * Suggest nfs-common with the glusterfs-server for native NFS support.
    Closes: #614988
  * Migrate to dh_python2.
    Closes: #616826

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 15 Mar 2011 21:14:50 +0100

glusterfs (3.1.2-3) unstable; urgency=low

  * Install missing gluster command console with the glusterfs-client package.
    Closes: #614777
  * Link glusterfsd manpage to the glusterfs one.
  * Fix glusterfs-server.init to return with the correct exit code and also to
    print error messages on start every time.
    Closes: #611733

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 23 Feb 2011 20:34:41 +0100

glusterfs (3.1.2-2) unstable; urgency=low

  * Upload to unstable.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 06 Feb 2011 20:40:30 +0100

glusterfs (3.1.2-1) experimental; urgency=low

  * New upstream release.
  * Update debian/watch to show the most recent version.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 15 Jan 2011 18:53:59 +0100

glusterfs (3.1.1-1) experimental; urgency=low

  * New upstream release.
    Closes: #608404
    - Adjust debian/watch to match with the 3.1 releases.
    - Add new build dependency libreadline-dev.
    - Many packaging changes required.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 02 Jan 2011 15:17:06 +0100

glusterfs (3.0.7-1) experimental; urgency=low

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 14 Dec 2010 18:03:51 +0100

glusterfs (3.0.6-1) experimental; urgency=low

  * New upstream release.
  * Merge 3.0.5-1~bpo50+1 changelog.
  * Bump Standards-Version to 3.9.1 (no changes needed).

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 01 Nov 2010 11:46:25 +0100

glusterfs (3.0.5-1~bpo50+1) lenny-backports; urgency=low

  * Rebuild for lenny-backports.
  * Switch back to the 1.0 format.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 24 Jul 2010 21:48:38 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,18 @@
 Priority: optional
 Maintainer: Patrick Matthäi <pmatthaei@debian.org>
 Uploaders: Matthias Albert <matthias@linux4experts.de>,
-Build-Depends: cdbs, debhelper (>= 7), autotools-dev, bison, flex,
- libfuse-dev (>= 2.6.5), libibverbs-dev (>= 1.0.4), help2man, python-central,
- libdb-dev, attr
-Standards-Version: 3.9.0
+Build-Depends: cdbs (>= 0.4.90~),
+ debhelper (>= 7),
+ autotools-dev,
+ bison,
+ flex,
+ libfuse-dev (>= 2.6.5),
+ libibverbs-dev (>= 1.0.4),
+ libdb-dev,
+ attr,
+ libreadline-dev,
+ python-all-dev (>= 2.6.6-3~)
+Standards-Version: 3.9.1
 Homepage: http://www.gluster.org/docs/index.php/GlusterFS
 
 Package: glusterfs-client
@@ -27,8 +35,8 @@
 Package: glusterfs-server
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, lsb-base (>= 3.0-6),
- glusterfs-client (=${binary:Version})
-Suggests: glusterfs-examples
+ glusterfs-client (= ${binary:Version})
+Suggests: glusterfs-examples, nfs-common
 Description: clustered file-system (server package)
  GlusterFS is a clustered file-system capable of scaling to several
  peta-bytes. It aggregates various storage bricks over Infiniband RDMA

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

install/glusterfs-server::
	mv debian/tmp/etc/glusterfs/glusterfs.vol.sample \
		debian/tmp/etc/glusterfs/glusterfs.vol
	mv debian/tmp/etc/glusterfs/glusterfsd.vol.sample \
		debian/tmp/etc/glusterfs/glusterfsd.vol
	mv debian/tmp/usr/sbin/glusterfsd \
		debian/tmp/usr/sbin/glusterfs

install/libglusterfs0::
	for f in debian/tmp/usr/lib/glusterfs/*/xlator/debug/trace.so; do \
		debug_path=`echo "$$f" | sed -e 's|debian/tmp|debian/glusterfs-dbg/usr/lib/debug|'`; \
		install -d "`dirname $$debug_path`"; \
		objcopy --only-keep-debug "$$f" "$$debug_path"; \
	done
	strip --remove-section=.comment --remove-section=.note --strip-unneeded \
		debian/tmp/usr/lib/glusterfs/*/xlator/debug/trace.so
	strip --remove-section=.comment --remove-section=.note --strip-unneeded \
		debian/tmp/usr/lib/glusterfs/*/xlator/debug/error-gen.so.0.0.0
	strip --remove-section=.comment debian/tmp/usr/lib/glusterfs/*/xlator/debug/io-stats.so.0.0.0

clean::
	dh $@

get-orig-source::
	uscan --force-download --verbose

## glusterfs 3.2.1

=== debian/changelog ===
glusterfs (3.2.1-1) unstable; urgency=high

  * New upstream release.
    - Refresh patch 02-spelling-error.
  * Wrap dependencies.
  * Merge libglusterfs0 and libglusterfs-dev package to glusterfs-common.
    Closes: #630147
  * Use python-module.mk and remove useless python bytecode files.
    Closes: #630146

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 26 Jun 2011 21:00:42 +0200

glusterfs (3.2.0-1) unstable; urgency=low

  * New upstream release.
    - Drop merged patch 01-remove-argp-m64-option.diff.
    - Drop merged patch 02-fix-spelling-errors.diff.
    - Add lintian overrides for package-installs-python-bytecode.
  * Adjust lintian overrides.
  * Include /usr/share/cdbs/1/class/python-distutils.mk to handle with Python
    bytecode.
  * Add patch 01-manpage-errors.diff to fix some errors in the manpages.
  * Add patch 02-spelling-error.diff to fix some spelling errors in the source
    code.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 29 May 2011 10:47:28 +0200

glusterfs (3.1.4-1) unstable; urgency=low

  [ Louis Zuckerman ]
  * New upstream release.
    - Add patch 01-remove-argp-m64-option.diff to allow 32bit builds.
  * Enabled pure-server or pure-client installation.
    - Moved glusterfsd binary to libglusterfs0.
    - Added dependency on libglusterfs0 to -server and -client packages.
    - Removed dependency on glusterfs-client from glusterfs-server.
    - Moved manpages for binaries into their respective packages
  * Updated default configuration files to 3.1-series versions
    - Added glusterd.vol to glusterfs-server, required for Elastic Volume Mgr.
    - Removed unnecessary 3.0-series sample volume-files from glusterfs-server
    Closes: #615166
  * Replaced init-script for glusterfs-server with new 3.1-series version.
    Closes: #615859

  [ Patrick Matthäi ]
  * Bump Standards-Version to 3.9.2 (no changes needed).
  * Build with hardening-wrapper.
  * Comment out all dependency_libs lines in .la files.
    Closes: #621169
  * Add logrotate script to the libglusterfs0 package.
    Closes: #623234
  * Remove rpath from all libs and binaries.
  * Add patch 02-fix-spelling-errors.diff, which fixes multiple spelling errors
    in the source code.
  * Add lintian overrides for the libglusterfs0 package.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 01 May 2011 14:41:05 +0200

=== debian/control ===
--- 
+++ 
@@ -13,13 +13,19 @@
  libdb-dev,
  attr,
  libreadline-dev,
- python-all-dev (>= 2.6.6-3~)
-Standards-Version: 3.9.1
+ python-all-dev (>= 2.6.6-3~),
+ chrpath,
+ hardening-wrapper
+Standards-Version: 3.9.2
 Homepage: http://www.gluster.org/docs/index.php/GlusterFS
 
 Package: glusterfs-client
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, python, fuse-utils (>= 2.7.4)
+Depends: ${misc:Depends},
+ ${shlibs:Depends},
+ python,
+ fuse-utils (>= 2.7.4),
+ glusterfs-common (>= ${binary:Version})
 Suggests: glusterfs-examples
 Description: clustered file-system (client package)
  GlusterFS is a clustered file-system capable of scaling to several
@@ -34,8 +40,10 @@
 
 Package: glusterfs-server
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, lsb-base (>= 3.0-6),
- glusterfs-client (= ${binary:Version})
+Depends: ${misc:Depends},
+ ${shlibs:Depends},
+ lsb-base (>= 3.0-6),
+ glusterfs-common (>= ${binary:Version})
 Suggests: glusterfs-examples, nfs-common
 Description: clustered file-system (server package)
  GlusterFS is a clustered file-system capable of scaling to several
@@ -63,11 +71,17 @@
  .
  This package provides example configuration files for glusterfs.
 
-Package: libglusterfs0
+Package: glusterfs-common
 Section: libs
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: GlusterFS libraries and translator modules
+Conflicts: libglusterfs0,
+ libglusterfs-dev
+Breaks: glusterfs-server (<< 3.1.4)
+Replaces: glusterfs-server (<< 3.1.4),
+ libglusterfs0,
+ libglusterfs-dev
+Description: GlusterFS common libraries and translator modules
  GlusterFS is a clustered file-system capable of scaling to several
  petabytes. It aggregates various storage bricks over Infiniband RDMA
  or TCP/IP interconnect into one large parallel network file
@@ -79,26 +93,12 @@
  This package includes libglusterfs and glusterfs translator modules
  common to both GlusterFS server and client framework.
 
-Package: libglusterfs-dev
-Section: libdevel
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libglusterfs0 (= ${binary:Version})
-Description: GlusterFS development libraries and headers (development files)
- GlusterFS is a clustered file-system capable of scaling to several
- peta-bytes. It aggregates various storage bricks over Infiniband RDMA
- or TCP/IP interconnect into one large parallel network file
- system. GlusterFS is one of the most sophisticated file system in
- terms of features and extensibility.  It borrows a powerful concept
- called Translators from GNU Hurd kernel. Much of the code in GlusterFS
- is in userspace and easily manageable.
- .
- This package includes glusterfs development headers and libraries.
-
 Package: glusterfs-dbg
 Section: debug
 Priority: extra
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends},
+Depends: ${shlibs:Depends},
+ ${misc:Depends},
  glusterfs-client (= ${binary:Version})
 Description: GlusterFS debugging symbols
  GlusterFS is a clustered file-system capable of scaling to several

## glusterfs 3.2.4

=== debian/changelog ===
glusterfs (3.2.4-2) unstable; urgency=low

  * Merge 3.2.4-1~bpo60+1 changelog.
  * Add libncurses5-dev build dependency.
    Closes: #646737

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 05 Nov 2011 11:33:56 +0100

glusterfs (3.2.4-1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.
    - Build the package with python-support to avoid a FTBFS.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 24 Oct 2011 11:09:18 +0200

glusterfs (3.2.4-1) unstable; urgency=low

  [ Louis Zuckerman ]
  * Add dependency: glusterfs-server requires glusterfs-client
    Necessary for gluster NFS server (volume start warns unsuccessful
    without glusterfs-client).

  [ Patrick Matthäi ]
  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 06 Oct 2011 12:10:34 +0200

glusterfs (3.2.3-1) unstable; urgency=low

  * New upstream release.
    - Refresh patch 02-spelling-error.diff.
  * Fix lintian warning: brace-expansion-in-debhelper-config-file.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 26 Aug 2011 21:50:55 +0200

## glusterfs 3.2.5

=== debian/changelog ===
glusterfs (3.2.5-2) unstable; urgency=low

  * Fix lintian warning vim-addon-within-vim-runtime-path by installing
    glusterfs.vim as example file now.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 25 Jan 2012 16:18:21 +0100

glusterfs (3.2.5-1) unstable; urgency=low

  [ Louis Zuckerman ]
  * Add patch (03) to fix build errors

  [ Patrick Matthäi ]
  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 07 Jan 2012 14:19:57 +0100

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
  libdb-dev,
  attr,
  libreadline-dev,
+ libncurses5-dev,
  python-all-dev (>= 2.6.6-3~),
  chrpath,
  hardening-wrapper
@@ -43,7 +44,8 @@
 Depends: ${misc:Depends},
  ${shlibs:Depends},
  lsb-base (>= 3.0-6),
- glusterfs-common (>= ${binary:Version})
+ glusterfs-common (>= ${binary:Version}),
+ glusterfs-client (>= ${binary:Version})
 Suggests: glusterfs-examples, nfs-common
 Description: clustered file-system (server package)
  GlusterFS is a clustered file-system capable of scaling to several

=== debian/watch ===
version=3
http://ftp.gluster.com/pub/gluster/glusterfs/LATEST/glusterfs-(.*)\.tar\.gz

## glusterfs 3.2.7

=== debian/changelog ===
glusterfs (3.2.7-3ubuntu2) saucy; urgency=low

  * Depend on the new package name: fuse-utils is renamed to fuse.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 28 May 2013 15:53:54 +0100

glusterfs (3.2.7-3ubuntu1) raring; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Added Ubuntu upstart jobs providing support for local glusterfs mounts

 -- Mahyuddin Susanto <udienz@ubuntu.com>  Sun, 25 Nov 2012 21:23:10 +0700

glusterfs (3.2.7-3) unstable; urgency=low

  * Remove duplicated and faulty call of the glusterd daemon from the init
    script.
    Closes: #691595

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 12 Nov 2012 20:23:32 +0100

glusterfs (3.2.7-2ubuntu1) raring; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Added Ubuntu upstart jobs providing support for local glusterfs mounts

 -- Clint Byrum <clint@ubuntu.com>  Wed, 07 Nov 2012 09:41:06 -0800

glusterfs (3.2.7-2) unstable; urgency=low

  * Add upstream patch 03-glusterd-crash-gcc-optimizations, which fixes a crash
    of glusterd on submitting a command like create/delete volume to it. This
    happens with GCC 4.7 and -O2, where GCC optimizes out rsp statements.
    Closes: #679767

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 22 Jul 2012 14:08:56 +0200

glusterfs (3.2.7-1) unstable; urgency=low

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 10 Jun 2012 19:54:17 +0200

glusterfs (3.2.7~qa2-1) unstable; urgency=low

  * New upstream pre release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 10 Jun 2012 11:02:18 +0200

glusterfs (3.2.7~qa1-1) unstable; urgency=low

  [ Louis Zuckerman ]
  * Updated debian packaging copyright file
    - Fixed upstream project URLs and information

  [ Patrick Matthäi ]
  * Correct e-mail address from Matthias.
  * New upstream pre release.
    - Refresh hunky patch 02-spelling-error.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 05 Jun 2012 19:47:47 +0200

glusterfs (3.2.6-1) unstable; urgency=low

  * New upstream release.
    - Drop merged patch 03-hardened-gf-log.
    - Refresh hunky patch 02-spelling-error.
  * Wrap all debian/control fields.
  * Remove unused lintian overrides.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 21 Mar 2012 18:34:34 +0100

glusterfs (3.2.5-3) unstable; urgency=low

  * Bump Standards-Version to 3.9.3 (no changes needed).
  * Override lintian warnings about shlibs-calls-exit.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 25 Feb 2012 22:02:05 +0100

glusterfs (3.2.5-1ubuntu1) precise; urgency=low

  * Added Ubuntu upstart jobs providing support for local glusterfs mounts
    (LP: #876648)

 -- Louis Zuckerman <me@louiszuckerman.com>  Sat, 28 Jan 2012 15:32:55 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: glusterfs
 Section: admin
 Priority: optional
-Maintainer: Patrick Matthäi <pmatthaei@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Patrick Matthäi <pmatthaei@debian.org>
 Uploaders: Matthias Albert <matthias@linux4experts.de>,
 Build-Depends: cdbs (>= 0.4.90~),
  debhelper (>= 7),
@@ -17,7 +18,7 @@
  python-all-dev (>= 2.6.6-3~),
  chrpath,
  hardening-wrapper
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.gluster.org/docs/index.php/GlusterFS
 
 Package: glusterfs-client
@@ -25,7 +26,7 @@
 Depends: ${misc:Depends},
  ${shlibs:Depends},
  python,
- fuse-utils (>= 2.7.4),
+ fuse,
  glusterfs-common (>= ${binary:Version})
 Suggests: glusterfs-examples
 Description: clustered file-system (client package)
@@ -76,7 +77,8 @@
 Package: glusterfs-common
 Section: libs
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+ ${shlibs:Depends}
 Conflicts: libglusterfs0,
  libglusterfs-dev
 Breaks: glusterfs-server (<< 3.1.4)

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_HARDENING=1

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/class/python-module.mk

install/glusterfs-common::
	for f in debian/tmp/usr/lib/glusterfs/*/xlator/debug/trace.so; do \
		debug_path=`echo "$$f" | sed -e 's|debian/tmp|debian/glusterfs-dbg/usr/lib/debug|'`; \
		install -d "`dirname $$debug_path`"; \
		objcopy --only-keep-debug "$$f" "$$debug_path"; \
	done
	strip --remove-section=.comment --remove-section=.note --strip-unneeded \
		debian/tmp/usr/lib/glusterfs/*/xlator/debug/trace.so
	strip --remove-section=.comment --remove-section=.note --strip-unneeded \
		debian/tmp/usr/lib/glusterfs/*/xlator/debug/error-gen.so.0.0.0
	strip --remove-section=.comment debian/tmp/usr/lib/glusterfs/*/xlator/debug/io-stats.so.0.0.0
	find debian/tmp/usr/lib -type f -name \*.la -exec sed 's/^dependency_libs/#dependency_libs/g' -i {} \;
	find debian/tmp/usr/lib -type f -name \*.so.0.0.0 -exec chrpath -d -k {} \;
	chrpath -d -k debian/tmp/usr/sbin/glusterfsd
	chrpath -d -k debian/tmp/usr/sbin/gluster
	rm -f debian/tmp/usr/lib/glusterfs/glusterfs/python/syncdaemon/*.pyc
	rm -f debian/tmp/usr/lib/glusterfs/glusterfs/python/syncdaemon/*.pyo

binary-install/glusterfs-server::
	dh_installinit -pglusterfs-server --upstart-only --no-start --name mounting-glusterfs

clean::
	dh $@

get-orig-source::
	uscan --force-download --verbose
